
/**
*@ author Sebastian Seyrich, Markus Mattes
*/


import java.awt.*;

public class AnotherCanvas extends Canvas{
	private Image dbImage;
	private Graphics dbGraphics;

	
	public void update(Graphics g){
		//initialize double-buffer
		if(dbImage == null||this.getSize().height!=dbImage.getHeight(this)||this.getSize().width!=dbImage.getWidth(this)){
			dbImage = createImage(this.getSize().width, this.getSize().height);
			dbGraphics = dbImage.getGraphics();
		}
		//delete background
		dbGraphics.setColor(getBackground());
		dbGraphics.fillRect(0,0,this.getSize().width, this.getSize().height);
		//draw foreground
		dbGraphics.setColor(getForeground());
		paint(dbGraphics);
		//show offscreen
		g.drawImage(dbImage,0,0,this);
	}




}